define(['require', 'app'],
    function(require, APP) {
        /**
         * Controller for pw generated by Appery.io
         * @module pw
         */
        APP.controller('pw', ['$scope', 'Apperyio', controller]);

        function controller($scope, Apperyio) {
            /**
             * user controller variables
             */
            /**
             * User controller functions
             */
            /**
             * @function init
             */
            $scope.init = function() {
                $scope.bloqueoTemporal = false;
                var $routeParams = Apperyio.get("$routeParams");
                //alert(JSON.stringify($routeParams));
                $scope.token = $routeParams.t;
                $acope.activar();
            };
            /**
             * @function activar
             */
            $scope.activar = function() {
                //validaciones
                if (!$scope.token) {
                    $scope.mAlert("No viene token para activación de la cuenta");
                    return;
                }
                var requestData = {};
                requestData = (function mapping2436($scope) {
                    var requestData = {};
                    requestData.params = {};
                    requestData.params.token = $scope.token.trim();
                    return requestData;
                })($scope);
                // read more about using rest services: https://links.appery.io/ve-snippet-rest
                Apperyio.get("accountActivation_service")(requestData).then( /*|service_bookmark|bookmark|E532FD14-901C-5E5F-0A53-8225D8E7F58C||6961|*/
                    function(success) { // success callback
                        if (success.data.code == "00") {
                            $scope.error = "Su cuenta ha sido activada de forma exitosa!";
                            $scope.mAlert($scope.error);
                        } else {
                            $scope.error = "ERROR: No se ha podido completar la opreación (cod: " + success.data.code + "): " + success.data.message;
                            $scope.mAlert($scope.error);
                        }
                        $scope.bloqueoTemporal = false;
                    },
                    function(error) { // callback to handle request error
                        $scope.mAlert("ERROR: Error inesperado al ejecutar la opreación (cod: " + error.data.code + ")" + error.data.message);
                        $scope.bloqueoTemporal = false;
                    },
                    function(notify) { // notify callback, can fire few times
                    });
            };
            /**
             * @function goToHome
             */
            $scope.goToHome = function() {
                window.location = "https://www.laboro.cl";
            };
        }
    });